/*
 * Copyright (c) 2012-2020, Peter Abeles. All Rights Reserved.
 *
 * This file is part of DDogleg (http://ddogleg.org).
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *   http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package org.ddogleg.fitting.modelset;

/**
 * Specifies inlier set as a fraction
 */
public interface InlierFraction {
	/**
	 * Specifies the inlier set as a fraction
	 *
	 * @param threshold inlier threshold. Must be from 0 to 1, inclusive.
	 */
	void setErrorFraction(double threshold);

	/**
	 * Gets the inlier set's fractional value
	 */
	double getErrorFraction();
}
